//////////////////////////////////////////////////////////////////////////////
//  Author : florent robinet (LAL - Orsay): robinet@lal.in2p3.fr
//////////////////////////////////////////////////////////////////////////////
#include <iostream>
#include <vector>
#include <string.h>
#include <stdio.h>
#include "ReadTriggers.h"

using namespace std;

int main (int argc, char* argv[]){

  // check the argument
  if(argc!=2){
    cerr<<"usage:"<<endl;
    cerr<<argv[0]<<" [trigger file pattern]"<<endl; 
    cerr<<"[trigger file pattern]: full path to trigger files"<<endl; 
    cerr<<""<<endl;
    return 1;
  }

  // arguments
  string infiles = (string)argv[1];

  // input triggers
  ReadTriggers *intriggers = new ReadTriggers(infiles,"",0);
  if(!intriggers->GetStatus() || !intriggers->GetNFiles()){
    delete intriggers;
    return -2;
  }

  cout<<"Number of triggers ="<<intriggers->GetNtrig()<<endl;
  return intriggers->GetNtrig();
}

